grk::DecompressBlockExec Struct Reference

`#include <BlockExec.h>`

Inheritance diagram for grk::DecompressBlockExec:

## Public Member Functions

| DecompressBlockExec ()
bool | open (T1Interface *t1)
void | close (void)
Public Member Functions inherited from grk::BlockExec
| BlockExec ()
virtual | ~BlockExec ()=default

## Public Attributes

DecompressCodeblock * | cblk
uint8_t | resno
uint8_t | roishift
Public Attributes inherited from grk::BlockExec
TileComponent * | tilec
uint8_t | bandIndex
uint8_t | bandNumbps
eBandOrientation | bandOrientation
float | stepsize
uint8_t | cblk_sty
uint8_t | qmfbid
uint32_t | x
uint32_t | y
uint8_t | k_msbs
uint8_t | R_b

## Constructor & Destructor Documentation

## DecompressBlockExec()

grk::DecompressBlockExec::DecompressBlockExec | ( |  | ) |

inline

## Member Function Documentation

## close()

void grk::DecompressBlockExec::close | ( | void |  | ) |

inline

## open()

bool grk::DecompressBlockExec::open | ( | T1Interface * | t1 | ) |

inline virtual

Implements grk::BlockExec.

References grk::T1Interface::decompress().

## Member Data Documentation

## cblk

DecompressCodeblock* grk::DecompressBlockExec::cblk

Referenced by ojph::T1OJPH::decompress(), and openhtj2k::T1OpenHTJ2K::decompress().

## resno

uint8_t grk::DecompressBlockExec::resno

## roishift

uint8_t grk::DecompressBlockExec::roishift

The documentation for this struct was generated from the following file:

- BlockExec.h